# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/markdownfmt
%global commit          10aae0a270abfb5d929ae6ca59c4b0ac0fa8f237

%global common_description %{expand:
Markdown formatter.}

%gometa

Name:           %{goname}
Version:        1.1
Release:        0.1%{?dist}
Summary:        Markdown formatter
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/mattn/go-runewidth)
BuildRequires: golang(github.com/russross/blackfriday)
BuildRequires: golang(github.com/shurcooL/go/indentwriter)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%doc README.md


%changelog
* Mon Mar 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.1-0.1.20180420git10aae0a
- First package for Fedora

